Last modified: 2014-05-22 16:56:20 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 39513 - LQT notification email (enotif) are sent for replies/new threads on watchlisted pages/threads regardless of users' enotif settings
LQT notification email (enotif) are sent for replies/new threads on watchlist...
Status: REOPENED
Product: MediaWiki extensions
Classification: Unclassified
LiquidThreads (Other open bugs)
master
All All
: High major (vote)
: ---
Assigned To: Nobody - You can work on this!
https://translatewiki.net/wiki/Thread...
:
Depends on:
Blocks: 1932 32281 39480 47000
  Show dependency treegraph
 
Reported: 2012-08-20 20:33 UTC by Nemo
Modified: 2014-05-22 16:56 UTC (History)
8 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Nemo 2012-08-20 20:33:23 UTC
Steps to reproduce: see URL.
After setting 
    $wgDefaultUserOptions['lqtnotifytalk'] = true; [1]
on translatewiki.net, a user will receive email notifications for new threads or replies to threads if the thread is watched (that is, in LQT jargon, if it's individually watchlisted or its parent [talk] page is), regardless of their email notification settings, i.e. even if one or both of "E-mail me when a page or file on my watchlist is changed" and "E-mail me on replies to a thread I am watching" are disabled.
The only workaround is to unwatch both the page and the thread.

[1] https://gerrit.wikimedia.org/r/gitweb?p=translatewiki.git;a=blobdiff;f=TranslatewikiSettings.php;h=85babbfca49e6b12570e79f168a7b8f82da160dc;hp=2f13474494db6de7fbe70ca4547441892ec2f0e6;hb=f800719f61114db1f5fb54425cae100acec89365;hpb=be5777692bc4db94381600e6cc9e98d1fd9ff6c8
Comment 1 Nemo 2012-08-20 20:38:51 UTC
Link to the change: http://ur1.ca/9zvc3
Comment 2 Alex Monk 2013-02-18 18:33:58 UTC
Gerrit change #49701
Comment 3 Alex Monk 2013-02-24 14:23:49 UTC
Merged by Siebrand.
Comment 4 Stefahn 2013-04-09 08:21:18 UTC
Is this bugfix only supposed to work with the latest MW version?

I tested it on MW 1.19.2 and I still get email notifications if a new reply is posted - under the following circumstances:
* I watch the thread.
* I have enabled "E-mail me when a page on my watchlist is changed".
* I have disabled "Email me on replies to a thread I am watching".

As I understand I shouldn't receive email notifications with this configuration...
Comment 5 Nemo 2013-11-12 16:07:30 UTC
Reopening: after Gerrit change #58056, again I verified that I'll receive enotif for a thread I watchlisted (e.g. because of creating it) or for a thread on a page I watchlisted, even with "Email me on replies to a thread I am watching" and "Email me when a page or file on my watchlist is changed" both disabled.
Comment 6 Quim Gil 2014-03-12 14:15:48 UTC
Is the importance of this report properly assessed?

Critical	Crashes, loss of data (internally, not your edit preview!) in a widely used and important component.

Also, is someone planning on working on it in the next six months?

high	Not the next task, but should be fixed soon. Depending on teams & manpower this can take between one and six months.
Comment 7 Nemo 2014-03-12 14:23:59 UTC
(In reply to Quim Gil from comment #6)
> Is the importance of this report properly assessed?

Yes. Critical bugs are typically fixed in 1-5 years for LQT.
Comment 8 Andre Klapper 2014-05-19 19:47:43 UTC
This is not about "Crashes, loss of data"; decreasing severity

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links